AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
  - Multimedia
License: GPL-3.0-or-later
SourceCode: https://gitlab.com/andrei-pavel/radio-romania
IssueTracker: https://gitlab.com/andrei-pavel/radio-romania/-/issues
Liberapay: andrei

AutoName: Radio România

RepoType: git
Repo: https://gitlab.com/andrei-pavel/radio-romania

Builds:
  - versionName: 2.5.1
    versionCode: 59
    commit: 2.5.1
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - linux
      - test
      - web
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter packages pub get
      - flutter config --no-analytics
      - flutter build apk --flavor fdroid

  - versionName: 2.5.2
    versionCode: 60
    commit: 397fab8ef40f5407959a1c41177c9f4070ccf439
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - linux
      - test
      - web
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter packages pub get
      - flutter config --no-analytics
      - flutter build apk --flavor fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.5.2
CurrentVersionCode: 60
